require_relative "mac_addr"
require 'minitest/reporters'
MiniTest::Reporters.use!


class MyTest < Test::Unit::TestCase

  # Called before every test method runs. Can be used
  # to set up fixture information.
  def setup
    # Do nothing
  end

  # Called after every test method runs. Can be used to tear
  # down fixture information.

  def teardown
    # Do nothing
  end

  # Fake test
  def test_fail

    # To change this template use File | Settings | File Templates.
    #fail("Not implemented")
  end

  def test_tos
    assert_equal("FF:FF:FF:FF:FF:FF",
                 MacAddr.new("FF:FF:FF:FF:FF:FF").to_s)
    assert_not_equal("FF:00:FF:00:FF:FF",
                     MacAddr.new("FF:FF:FF:FF:FF:FF").to_s)
  end

end